WordPress 4.2.1 security release – go get it !!


A recent update has been released for WordPress regarding a cross-scripting vulnerability. The details are here but as always get your site updated and protected as soon as permits. There have been a number of recent updates and its worth considering the automated updates options than was recently introduced – see here which basically says

Automatic Background Updates

For WordPress 3.7+, you don’t have to lift a finger to apply minor and security updates. Most sites are now able to automatically apply these updates in the background. If your site is capable of one-click updates without entering FTP credentials, then your site should be able to update from 3.7 to 3.7.1, 3.7.2, etc. (You’ll still need to click “Update Now” for major feature releases.)

Combined with the one click update option – there should be no reason for not keeping up to date.